%define upstream_name    Tree-R
%define upstream_version 0.072

%{?perl_default_filter}

Summary:	Perl extension for the Rtree data structure and algorithms
Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 7
License:	GPL+ or Artistic
Group:		Development/Perl
Url:        	https://metacpan.org/release/%{upstream_name}
Source0:    	https://cpan.metacpan.org/modules/by-module/Tree/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires:	perl-devel >= 1:5.8.0
BuildArch:	noarch
%description
R-tree is a data structure for storing and indexing and efficiently looking
up non-zero-size spatial objects.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
%make_install

%files
%doc Changes README.md META.yml
%{perl_vendorlib}/Tree/R.pm
%{perl_vendorlib}/auto/Tree/R
%{_mandir}/man3/Tree::R.3pm.*


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.72.0-7.mga10
+ Revision: 2201248
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.72.0-6.mga9
+ Revision: 1806547
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.72.0-5.mga8
+ Revision: 1497967
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.72.0-4.mga7
+ Revision: 1272399
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.72.0-3.mga6
+ Revision: 1035419
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.72.0-2.mga6
+ Revision: 970033
- Mageia 6 Mass Rebuild

* Mon Sep 28 2015 sander85 <sander85> 0.72.0-1.mga6
+ Revision: 884843
- update to 0.072

* Sun Oct 19 2014 umeabot <umeabot> 0.60.0-6.mga5
+ Revision: 789392
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.60.0-5.mga5
+ Revision: 746950
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.60.0-4.mga5
+ Revision: 686742
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.60.0-3.mga4
+ Revision: 515752
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.60.0-2.mga3
+ Revision: 374482
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 0.60.0-1.mga1
+ Revision: 31400
- mageia rebuild
- imported package perl-Tree-R


* Thu Nov 04 2010 Jani Välimaa <wally@mandriva.org> 0.60.0-1mdv2011.0
+ Revision: 593399
- use perl_convert_version macro
- fix summary, description, license, source and URL
- tag package as noarch
- install files to a correct location

* Sun Oct 31 2010 Thomas Spuhler <tspuhler@mandriva.org> 0.06-1mdv2011.0
+ Revision: 591223
- import perl-Tree-R

